
Name:		obmenu
Version:	1.0
Release:	%mkrel 3
Summary:	A graphical menu editor for Openbox
Summary(de):	Ein grafischer Menüeditor für Openbox
Summary(sr):	Графички уредник изборника за Опенбокс
Group:		Graphical desktop/Openbox
License:	GPLv2+
URL:		http://obmenu.sourceforge.net/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source2:	%{name}.desktop
Patch0:		%{name}-copy-default-xdg-menu.patch 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	pygtk2-libglade
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
Requires:	python >= 2.7

%description
obmenu is a graphical menu editor for the Openbox window manager. Openbox uses
XML to store its menu preferences, and editing these by hand can quickly become
tedious; and even moreso when generating an entire menu for oneself! However,
this utility provides a convenient method of editing the menu in a graphical
interface, while not losing the powerful features of Openbox such as its
pipe menus. 

This also provides a Python module named obxml that can be used to further
script Openbox's menu system.

%description -l de
obmenu ist ein grafischer Menüeditor für den Openbox Fenstermanager. Openbox 
nutzt XML zum Speichern der Menüeinstellungen und das editieren von Hand kann 
sehr schnell mühsam werden, auch wenn Sie ein komplettes Menü selbst erstellen 
wollen. Wie auch immer, dieses Werkzeug bietet eine praktische Methode zum 
Bearbeiten des Menüs mit einer grafischen Schnittstelle, wobei Sie natürlich 
nicht die mächtigen Eigenschaften von Openbox verlieren.

Dieses Paket enthält ein Python Modul, welches obxml genannt wird, dieses kann 
genutzt werden um weitere Openbox Menüsysteme zu erstellen.


%prep
%setup -q
%patch0 -p0


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
chmod +x %{buildroot}%{python_sitelib}/obxml.py

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_bindir}/obm-*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/obxml.py
%{python_sitelib}/*.egg-info


%changelog
* Sat Jun 14 2014 ghostbunny <ghostbunny at gmx dot de> 1.0-3pclos2014
- rebuild against new python version
- add German summary and description

* Thu Sep 21 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- convert source to tar.xz
- fix spec file to pclos format
- fix desktop file
- fix rpm group Graphical desktop/Openbox

